/**
 * Theme Name: Portugal Real Estate
 * Template:   wpcasa-london
 * Description: Child theme of WPCasa London for Portugal real estate site.
 * Version: 0.1
 * Author: C & L
 */

:root {
  --portugal-primary: #542549;
  --portugal-super-light: #f6f1f4;
  --portugal-light: #96798a;
  --portugal-copy: #000321;
  --portugal-copy-light: #565a7c;
  --portugal-site-container-width: 1920px;
  --portugal-inner-container-width: 1400px;
  --portugal-padding: 40px;
  --portugal-radius: 3px;
}

body.wpsight-london {
  background-color: var(--portugal-super-light);
  color: var(--portugal-copy);
}

body.wpsight-london .site-wrapper .site-container {
  max-width: var(--portugal-site-container-width);
}
body.wpsight-london .site-wrapper .site-container .container {
  all: revert;
  max-width: calc(
    var(--portugal-inner-container-width) - var(--portugal-padding) * 2
  );
  padding-right: var(--portugal-padding);
  padding-left: var(--portugal-padding);
  margin-left: auto;
  margin-right: auto;
}

/* Region Boxes */
.entry-content .region-boxes a {
  text-decoration: none;
}

/* Header slider dot nav */
.wpsight-image-background-slider-wrap .lSSlideOuter .lSPager.lSpg > li a {
  width: 5px;
}

.single-listing .wpsight-listing-features .listing-term-wrap {
  background: var(--portugal-super-light);
}

.single-listing .wpsight-listing-features .listing-term-wrap i {
  background: var(--portugal-primary);
  color: var(--portugal-super-light);
}

/* Listing agent box */
.single-listing .wpsight-listing-agent::before,
.wpsight-list-agents-sc .wpsight-list-agent::before,
.archive.author .wpsight-list-agent::before {
  background-color: var(--portugal-primary);
}
.single-listing .wpsight-listing-agent-links a {
  border: 1px solid var(--portugal-primary);
  color: var(--portugal-primary);
}

single-listing .wpsight-listing-agent-links a:hover {
  background-color: var(--portugal-super-light);
}

/* Contacts above header */
.site-top .social-icons > li {
  background-color: var(--portugal-light);
  color: var(--portugal-primary);
}

.site-top .site-top-left {
  color: var(--portugal-primary);
}

/* Content */
.accent {
  color: var(--portugal-primary);
  font-weight: bold;
}

.entry-title {
  color: var(--portugal-primary);
}

.site-wrapper .btn-primary {
  background: var(--portugal-primary);
  color: var(--portugal-super-light);
}
.site-wrapper .btn-primary:hover {
  background: var(--portugal-super-light);
  color: var(--portugal-primary);
}

.site-wrapper a.btn, .site-wrapper input.btn {
  border-radius: var(--portugal-radius);
}

.social-icons .fa {
  background-color: var(--portugal-primary);
  color: var(--portugal-super-light);
}

.bs-callout-primary::before {
  background-color: var(--portugal-primary);
}

.site-section-dark {
  background-color: var(--portugal-primary);
  h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    color: var(--portugal-super-light);
  }
  .feature-box-icon {
    background: var(--portugal-super-light);
    color: var(--portugal-primary);
  }
  .feature-box-link > a {
    background-color: var(--portugal-super-light);
    padding: 1rem 2rem;
    border-radius: var(--portugal-radius);
    color: var(--portugal-primary);
    text-transform: uppercase;
    display: inline-block;
    text-shadow: none;
    text-decoration: none;
    &:hover {
      background-color: var(--portugal-light);
    }
  }
  .wpsight-feature-box:hover {
    .feature-box-icon {
      color: var(--portugal-light);
    }
  }
}
body.wpsight-london .site-wrapper footer {
  h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    color: var(--portugal-super-light)
  }
}
.site-section-dark .wpsight-listings-search {
  background-color: var(--portugal-light);
  color: var(--portugal-super-light);
}

.text-orange-400 {
	color: var(--portugal-primary);
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  color: var(--portugal-primary);
}

#tagline {
  .tag-small {
    font-size: 32px;
  }
  .tag-big {
    font-size: 40px;
    font-weight: bold;
  }
}

.site-footer {
  background-color: var(--portugal-primary);
}
.site-bottom {
  background-color: var(--portugal-light);
}

.site-section .listings-title {
  background-color: var(--portugal-light);
  .container {
    .listings-title-info {
      h2 {
        color: var(--portugal-super-light)
      }
    }
  }
}

body.wpsight-london .site-wrapper .site-container .wpsight-newsletter-box .container {
	padding: 0px;
	.wpsight-newsletter-box-inner {
		padding: 70px calc(var(--portugal-padding) / 2);
	}
}

#units {
  zoom: 1.5;
	span {
		&.border-solid {
			border-style: none;
		}
	}
	.py-6 span.border-t {
		border-top: 1px solid var(--portugal-light) !important;
		border-right: none;
		border-left: none;
		border-bottom: none;
	}

	.grid-cols-6 {
		@media (min-width: 1280px) {
  			&.xl\:grid-cols-units-xl {
    			grid-template-columns: 10rem 10rem 8rem 8rem 1fr;
  			}
		}
		span:first-child {
			@media (min-width: 1280px) {
				text-align: left;
			}
		}
		span:last-child {
			grid-column: span 6/span 6;
			@media (min-width: 768px) {
    			grid-column: span 3/span 3;
			}
			@media (min-width: 1280px) {
				grid-column: auto;
			}
		}
	}
}

/* Header */
.site-header-wrap .header-top {
  border-bottom: none;
}

.site-header {
  .header-featured-image {
    height: 600px;
    @media only screen and (min-width: 992px) {
      height: 700px;
    }
    h1 {
      font-size: 36px;
      text-wrap: balance;
      @media only screen and (min-width: 992px) {
        font-size: 48px;
      }
    }
  }
}

.site-logo {
  width: 50%;
  @media only screen and (min-width: 992px) {
      max-width: 25%;
  }
}
.menu-btn.menu-btn--right {
  font-size: 24px;
  line-height: 48px;
  height: 48px;
  right: 0;
}

#footer-nav {
  background-image: url(https://portugalrealestateforcanadians.com/wp-content/themes/wpcasa-london/assets/images/bg-cta.png);
}

.site-main {
  .wp-block-button__link {
    background-color: var(--portugal-primary);
    border-radius: var(--portugal-radius);
    color: var(--portugal-super-light) !important;
    text-decoration: none !important;
  }
}

.site-wrapper a.btn-lg {
  padding: 0 40px;
}

.wpsight-listing-carousel .wpsight-listing-image img {
  object-fit: contain;
}

hr {
  margin-top: 48px;
  margin-bottom: 48px;
}

.listings-search-advanced-toggle {
  right: 0;
}

.listings-search-reset {
  left: 0;
}
